﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="InTranslationGadget.aspx.cs" Inherits="GlobalLink.Translation.ui.InTranslationGadget" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head id="Head1" runat="server">
        <title>GlobalLink Generator</title>
		<style>
		.epi-cmsButton
		{
			display: inline-block;
			white-space: nowrap;
			-webkit-border-radius: 3px;
			-moz-border-radius: 3px;
			-ms-border-radius: 3px;
			-o-border-radius: 3px;
			border-radius: 3px;
			padding: 2px 6px;
			border: 1px solid #768388;
			color: #333;
			margin: 0;
			background:#E7E7E7;
			cursor:pointer;
		}
        .Sleek .epi-icon--medium.iconCustom, .Sleek .iconCustom2 {
                width: 26px;
height: 26px;
border-radius: 3px;
padding: 2px 4px;
border: 1px solid #768388;
box-shadow: 0 1px 0 0 rgba(255,255,255,0),inset 0 1px 0 rgba(255,255,255,0),inset 0 -1px 0 rgba(255,255,255,0);
color: #333;
margin:5px;
cursor:pointer;
		    }
        form{font-size:12px}
		</style>
    </head>
    <body class="Sleek">
        <form id="Form1" runat="server" action="InTranslationGadget.aspx">
            <asp:Label ID="lblCurrentPageInTranslation" runat="server" Font-Bold="true" Text="Current content in submissions:" />
               <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" CellPadding="2"
                             BorderStyle="None" GridLines="Horizontal" EmptyDataText="Current content is not part of any submission"
                            CssClass="epi-default">
                <Columns>
                    <asp:TemplateField HeaderText="Status">
                        <ItemTemplate>
                            <asp:Label ID="lblStatus" runat="server" Text='<%# GetStatus(Eval("status")) %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                                
                    <asp:BoundField DataField="projectLanguage" HeaderText="Target locale" ReadOnly="True">
                        <ItemStyle Wrap="False" />
                    </asp:BoundField>
                    <asp:BoundField DataField="subname" HeaderText="Submission" ReadOnly="True">
                        <ItemStyle Wrap="False" />
                    </asp:BoundField>
                                
                </Columns>
            </asp:GridView>
            <br /><br />
            <asp:Label ID="lblOtherPageInTranslation" runat="server" Font-Bold="true" Text="Other version of content in submissions:" />
               <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" CellPadding="2"
                             BorderStyle="None" GridLines="Horizontal" EmptyDataText="No other versions of content in any submission"
                            CssClass="epi-default">
                <Columns>
                    <asp:TemplateField HeaderText="Status">
                        <ItemTemplate>
                            <asp:Label ID="lblStatus" runat="server" Text='<%# GetStatus(Eval("status")) %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                                
                    <asp:BoundField DataField="projectLanguage" HeaderText="Target locale" ReadOnly="True">
                        <ItemStyle Wrap="False" />
                    </asp:BoundField>
                    <asp:BoundField DataField="pageLink" HeaderText="ID" ReadOnly="True">
                        <ItemStyle Wrap="False" />
                    </asp:BoundField>
                    <asp:BoundField DataField="subname" HeaderText="Submission" ReadOnly="True">
                        <ItemStyle Wrap="False" />
                    </asp:BoundField>
                                
                </Columns>
            </asp:GridView>
        </form>
    </body>
</html>
